Skip to main content
POST
/
cleemy-procurement
/
api
/
invoices
/
{id}
/
confirmations
Confirm an Invoice
curl --request POST \
  --url https://{host}/cleemy-procurement/api/invoices/{id}/confirmations \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "strategy": "<string>"
}
'
{
  "id": 123,
  "strategy": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "author": {
    "id": 123,
    "href": "<string>",
    "name": "<string>",
    "firstName": "<string>",
    "lastName": "<string>",
    "pictureHref": "<string>"
  }
}

Headers

Authorization
string
required

API key. Value must be formatted like so: lucca application={api_key}.

Path Parameters

id
integer<int32>
required

ID of the invoice.

Body

application/json

Confirmation to create.

Body for creating a confirmation.

strategy
string

Confirmation strategy to use. Retrieve available strategies via the confirmation-strategies endpoint.

Response

201 - application/json

Created

A confirmation (approval) of a booked document (invoice or credit note).

id
integer<int32>
strategy
string
createdAt
string<date-time>
author
Reference to a user · object

Reference to a user.